Skip to main content
POST
https://dev.api.fleets.usedora.com/api/v1
/
riders
/
change_status
/
{rider_uuid}
Activate or Remove Riders
curl --request POST \
  --url 'https://dev.api.fleets.usedora.com/api/v1/riders/change_status/{{rider_uuid}}'
{
"status": "success",
"data": {
    "uuid": "9dbb0847-a2ba-4cdb-b904-72fd9ab2f3bc",
    "riderid": "45689646",
    "name": "Nice Chimaobi",
    "address": "Aso housing estate, lugbe",
    "phone_number": "08028492844",
    "phone_code": "234",
    "email": "[email protected]",
    "vehicle_plate_number": "Ae93480G",
    "photo": "https://usedora-bucket-dev.s3.amazonaws.com/photos/oNhnn9x1fxoiPkJ3kbJUxYWNa6L4iusIChYI2B8G.jpg",
    "total_completed_delivery": 0,
    "active": false,
    "created_at": "2023-12-03T07:47:46.000000Z"
}
}

📝 Summary

This endpoint activates a rider’s account, allowing them to start accepting and completing delivery tasks. It is typically used after verifying the rider’s details and compliance with platform requirements.

Requests

Params
Example

Responses

HTTP Status CodeMeaningDescriptionData schema
200OKnoneInline
422Bad RequestnoneInline
{
"status": "success",
"data": {
    "uuid": "9dbb0847-a2ba-4cdb-b904-72fd9ab2f3bc",
    "riderid": "45689646",
    "name": "Nice Chimaobi",
    "address": "Aso housing estate, lugbe",
    "phone_number": "08028492844",
    "phone_code": "234",
    "email": "[email protected]",
    "vehicle_plate_number": "Ae93480G",
    "photo": "https://usedora-bucket-dev.s3.amazonaws.com/photos/oNhnn9x1fxoiPkJ3kbJUxYWNa6L4iusIChYI2B8G.jpg",
    "total_completed_delivery": 0,
    "active": false,
    "created_at": "2023-12-03T07:47:46.000000Z"
}
}